/* 
*
*  ProLinga-Validate
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Validate.
*
*  ProLinga-Validate is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Validate is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Validate.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __VC_REPOSITORY_COMMAND_HPP
#define __VC_REPOSITORY_COMMAND_HPP

/* Basic rep operations */
xmlDocPtr VCRC_List(const char *objApplication, const char *objType, const char *objName);
xmlDocPtr VCRC_Get(const char *objApplication, const char *objType, const char *objName);
xmlDocPtr VCRC_Put(xmlDocPtr docReq);
xmlDocPtr VCRC_Delete(const char *objApplication, const char *objType, const char *objName);
xmlDocPtr VCRC_Ping(const char *objApplication, const char *objType, const char *objName);

/* Wrappers basic rep operations */
bool VCrepPresent(const char *objAppn, const char *objType, const char *objName);
bool VCrepItemPresent(const char *objAppn, const char *itemName, const char *objType, const char *objName);
int VCrepList(xmlDocPtr *docRes, const char *objAppn, const char *objType, const char *objName);
int VCrepGet(xmlDocPtr *docRes, const char *objAppn, const char *objType, const char *objName);
int VCrepPut(const xmlDocPtr docReq);
int VCrepDelete(const char *objAppn, const char *objType, const char *objName);

#endif /* __VC_REPOSITORY_COMMAND_HPP */
